#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING

#include <bits/stdc++.h>

using namespace std;

int main() {
    int n, m, x;
    map<int, multiset<int>> A, B;
    scanf("%d%d", &n, &m);
    for (int i = 0; i < n; i++)
        for (int j = 0; j < m; j++)
            scanf("%d", &x), A[i + j].insert(x);
    for (int i = 0; i < n; i++)
        for (int j = 0; j < m; j++)
            scanf("%d", &x), B[i + j].insert(x);
    puts(A == B ? "YES" : "NO");
    return 0;
}
